Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence.jdbc
Class ShellDefinitionManagerImpl

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.persistence.jdbc.ShellDefinitionManagerImpl

All Implemented Interfaces:
  EnterpriseBean, IShellDefinitionManager, Serializable, SessionBean

public class ShellDefinitionManagerImpl
extends Object
implements SessionBean, IShellDefinitionManager

See Also:
  Serialized Form

Field Summary
`protected static Debug` | `debug`

Constructor Summary
`ShellDefinitionManagerImpl()`

Method Summary
`ShellDefinition` | `createShellDefinition(CustomizationContext customizationContext, ShellDefinition shellDefinition)` Creates a new ShellView Definition with its placeholders.
`void` | `deleteShellDefinition(CustomizationContext customizationContext, ShellDefinitionId shellDefinitionId)` Delete a shell definition.
`void` | `deleteShellDefinitionWithReplacement(CustomizationContext customizationContext, ShellDefinitionId deleteShellDefinitionId, ShellDefinitionId replacementShellDefinitionId)` Delete a shell definition and replace any uses of that shell with a replacement shell.
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`ShellDefinition` | `getShellDefinition(CustomizationContext customizationContext, ShellDefinitionId shellDefinitionId)` Getter for returning a single `ShellDefinition` object given a supplied shell definition identifier.
`ShellDefinition` | `getShellDefinitionFromFile(CustomizationContext customizationContext, String shellFile, String webAppName)` Return a shel definition with the shellFile equal to the supplied filePath.
`ShellDefinitionId` | `getShellDefinitionId(CustomizationContext customizationContext, String markupName, String webAppName)` Getter for returning a single `ShellDefinitionId` object given a supplied shell markup name.
`ShellDefinition[]` | `getShellDefinitions(CustomizationContext customizationContext, String webapp)` Getter for returning a list of all `ShellDefinitions` scoped to the supplied webapp.
`ShellView` | `getShellView(CustomizationContext customizationContext, ShellDefinitionId shellDefinitionId)` Getter for returning an immutable deep copy of a `ShellView`.
`void` | `setSessionContext(SessionContext sessionContext)`
`void` | `updateShellDefinition(CustomizationContext customizationContext, ShellDefinition shellDefinition)` Update the shell definition with the new data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

Constructor Detail

### ShellDefinitionManagerImpl

    public ShellDefinitionManagerImpl()

Method Detail

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          RemoteException

    `CreateException`
    `RemoteException`

### ejbActivate

    public void ejbActivate()
                     throws EJBException,
                            RemoteException

  Specified by:
    `ejbActivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbPassivate

    public void ejbPassivate()
                      throws EJBException,
                             RemoteException

  Specified by:
    `ejbPassivate` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### ejbRemove

    public void ejbRemove()
                   throws EJBException,
                          RemoteException

  Specified by:
    `ejbRemove` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### setSessionContext

    public void setSessionContext(SessionContext sessionContext)
                           throws EJBException,
                                  RemoteException

  Specified by:
    `setSessionContext` in interface `SessionBean`
    `EJBException`
    `RemoteException`

### getShellView

    public ShellView getShellView(CustomizationContext customizationContext,
                                  ShellDefinitionId shellDefinitionId)

  Description copied from interface: `IShellDefinitionManager`

  Getter for returning an immutable deep copy of a `ShellView`. The `ShellView` object, unlike the `ShellDefinition` or the `ShellInstance` objects contains a full set of references to all child pages, shells and so on. The `ShellView` object however is immutable.

  Specified by:
    `getShellView` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `shellDefinitionId` - the unique shellDefinitionId.
  Returns:
    an immutable deep copy ShellView object if one exist, otherwise null.

### getShellDefinitions

    public ShellDefinition[] getShellDefinitions(CustomizationContext customizationContext,
                                                 String webapp)

  Description copied from interface: `IShellDefinitionManager`

  Getter for returning a list of all `ShellDefinitions` scoped to the supplied webapp.

  Specified by:
    `getShellDefinitions` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `webapp` - the web application these shell definitions are scoped to.
  Returns:
    an array of ShellDinfition objects if they exist, otherwise, an empty array.
  See Also:
    `ShellDefinition`

### getShellDefinition

    public ShellDefinition getShellDefinition(CustomizationContext customizationContext,
                                              ShellDefinitionId shellDefinitionId)

  Description copied from interface: `IShellDefinitionManager`

  Getter for returning a single `ShellDefinition` object given a supplied shell definition identifier.

  Specified by:
    `getShellDefinition` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `shellDefinitionId` - the unique shell definition identifier.
  Returns:
    a `ShellDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
  See Also:
    `ShellDefinition`

### createShellDefinition

    public ShellDefinition createShellDefinition(CustomizationContext customizationContext,
                                                 ShellDefinition shellDefinition)
                                          throws MissingDataException,
                                                 NotEntitledException

  Description copied from interface: `IShellDefinitionManager`
  Creates a new ShellView Definition with its placeholders.

  Specified by:
    `createShellDefinition` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `shellDefinition` - the shell data and associated placeholders
  Returns:
    a fully populated ShellDefinition
  Throws:
    `MissingDataException` - the shellDefiniiton supplied as an argument is missing some vital data.
    `NotEntitledException` - the caller is not entitled to create a new shell.

### updateShellDefinition

    public void updateShellDefinition(CustomizationContext customizationContext,
                                      ShellDefinition shellDefinition)
                               throws ObjectNotFoundException,
                                      NotEntitledException

  Description copied from interface: `IShellDefinitionManager`

  Update the shell definition with the new data.

  Specified by:
    `updateShellDefinition` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `shellDefinition` - the shell definition containing the new data
  Throws:
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationResource is bogus.
    `NotEntitledException`

### deleteShellDefinition

    public void deleteShellDefinition(CustomizationContext customizationContext,
                                      ShellDefinitionId shellDefinitionId)
                               throws ObjectNotFoundException,
                                      ObjectInUseException,
                                      NotEntitledException

  Description copied from interface: `IShellDefinitionManager`

  Delete a shell definition.

  Specified by:
    `deleteShellDefinition` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `shellDefinitionId` - the id of the shell definition to delete.
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `ObjectNotFoundException` - if the shellDefinitionId is bogus
    `ObjectInUseException` - if page instances are currently using this shell
  See Also:
    `IShellDefinitionManager.deleteShellDefinitionWithReplacement(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.ShellDefinitionId, com.bea.netuix.application.identifier.ShellDefinitionId)`

### deleteShellDefinitionWithReplacement

    public void deleteShellDefinitionWithReplacement(CustomizationContext customizationContext,
                                                     ShellDefinitionId deleteShellDefinitionId,
                                                     ShellDefinitionId replacementShellDefinitionId)
                                              throws ObjectNotFoundException,
                                                     NotEntitledException

  Description copied from interface: `IShellDefinitionManager`

  Delete a shell definition and replace any uses of that shell with a replacement shell. This method is useful for deleting a shell that is in use by book instances and not having to delete those book instances.

  Specified by:
    `deleteShellDefinitionWithReplacement` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId returned.
    `deleteShellDefinitionId` - the id of the shell definition to delete.
    `replacementShellDefinitionId` - the id of the replacement shell
  Throws:
    `NotEntitledException` - the caller is not entitled to perform this operation.
    `ObjectNotFoundException` - if either of the shellDefinitionIds are bogus
  See Also:
    `IShellDefinitionManager.deleteShellDefinition(com.bea.netuix.application.manager.CustomizationContext, com.bea.netuix.application.identifier.ShellDefinitionId)`

### getShellDefinitionId

    public ShellDefinitionId getShellDefinitionId(CustomizationContext customizationContext,
                                                  String markupName,
                                                  String webAppName)
                                           throws RemoteException

  Description copied from interface: `IShellDefinitionManager`

  Getter for returning a single `ShellDefinitionId` object given a supplied shell markup name.

  Specified by:
    `getShellDefinitionId` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` - customization information such as prefered locales and desktopInstanceId.
    `markupName` - the markup name attribute supplied on the tag,
    `webAppName` - as defined in the config.xml
  Returns:
    shellDefinitionId the unique shell definition identifier or null if none exist.
    `RemoteException`

### getShellDefinitionFromFile

    public ShellDefinition getShellDefinitionFromFile(CustomizationContext customizationContext,
                                                      String shellFile,
                                                      String webAppName)

  Description copied from interface: `IShellDefinitionManager`

  Return a shel definition with the shellFile equal to the supplied filePath. The `webAppName` name is the deployed name of the module, and is often the name of the WAR file or directory, although this is not always the case. This name is that name given in config.xml as the Name of the WebAppComponent element (and thus WebAppComponentMBean's Name attribute). Note that this name is not the name of the URL context root.

  Specified by:
    `getShellDefinitionFromFile` in interface `IShellDefinitionManager`
  Parameters:
    `customizationContext` -
    `shellFile` - the relative path to the shell file from the webapp directory example "/framework/makrup/headfooter.shell"
    `webAppName` - as defined in the config.xml

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved